summaryrefslogtreecommitdiffstats
path: root/poppler-data
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-05-22 18:52:02 +0000
committer Eric Hameleers <alien@slackware.com>2007-05-22 18:52:02 +0000
commitefbd798da58b150c6c026c8575b3d1aa0d3dcc38 (patch)
treeed813f49bb14d5c0008e2889e20842fc5e6b0182 /poppler-data
parent23a2d5ec1cecc0fd01693ce51a50041129359e0d (diff)
downloadasb-efbd798da58b150c6c026c8575b3d1aa0d3dcc38.tar.gz
asb-efbd798da58b150c6c026c8575b3d1aa0d3dcc38.tar.xz
Initial revision
Diffstat (limited to 'poppler-data')
-rwxr-xr-xpoppler-data/build/poppler-data.SlackBuild150
-rw-r--r--poppler-data/build/slack-desc19
2 files changed, 169 insertions, 0 deletions
diff --git a/poppler-data/build/poppler-data.SlackBuild b/poppler-data/build/poppler-data.SlackBuild
new file mode 100755
index 00000000..f682e7c4
--- /dev/null
+++ b/poppler-data/build/poppler-data.SlackBuild
@@ -0,0 +1,150 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: poppler-data
+# Descr: poppler encoding data
+# URL: http://poppler.freedesktop.org/
+# Needs: poppler
+# Changelog:
+# 0.1-1: 22/May/2007 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh poppler-data.SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+
+PRGNAM=poppler-data
+VERSION=${VERSION:-0.1}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+
+# This covers most filenames you'd want as documentation. Change if needed.
+DOCS="COPYING README"
+
+# Where do we look for sources?
+CWD=`pwd`
+SRCDIR=`dirname $0`
+[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Input URL: http://poppler.freedesktop.org/poppler-data-0.1.tar.gz
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
+SRCURL="http://poppler.freedesktop.org/${PRGNAM}-${VERSION}.tar.gz"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# prepare working directories:
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+rm -rf $TMP/tmp-$PRGNAM/*
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # We always erase old package's contents:
+mkdir -p $OUTPUT # place for the package to be saved
+
+# Source file availability:
+if ! [ -f ${SOURCE} ]; then
+ if ! [ "x${SRCURL}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
+ echo "Source '`basename ${SOURCE}`' not available yet..."
+ echo "Will download file to `dirname $SOURCE`"
+ wget -nv -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 ]; then
+ echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '`basename ${SOURCE}`' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+if `file ${SOURCE} | grep -q ": bzip2"`; then
+ tar -xjvf ${SOURCE}
+elif `file ${SOURCE} | grep -q ": gzip"`; then
+ tar -xzvf ${SOURCE}
+fi
+chown -R root:root *
+chmod -R u+w,go+r-w,a-s *
+cd ${PRGNAM}-${VERSION}
+
+# Installing is simply:
+make install datadir=/usr/share DESTDIR=$PKG 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+# Clean up the extra stuff:
+if [ "$P1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi
diff --git a/poppler-data/build/slack-desc b/poppler-data/build/slack-desc
new file mode 100644
index 00000000..beccd2d8
--- /dev/null
+++ b/poppler-data/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+poppler-data: poppler-data (encoding files used by poppler)
+poppler-data:
+poppler-data: This package consists of encoding files for use with poppler. The
+poppler-data: encoding files are optional and poppler will automatically read them
+poppler-data: if they are present. When installed, the encoding files enables
+poppler-data: poppler to correctly render CJK and Cyrillic properly. While poppler
+poppler-data: is licensed under the GPL, these encoding files are copyright Adobe
+poppler-data: and licensed much more strictly, and thus distributed separately.
+poppler-data:
+poppler-data: poppler homepage: http://poppler.freedesktop.org/
+poppler-data: